doctype html
html lang=I18n.locale
  head
    meta charset='utf-8'
    meta name='viewport' content='width=device-width, initial-scale=1, shrink-to-fit=no'
    meta http-equiv='X-UA-Compatible' content='IE=edge'
    meta name='description' content=t('application.description')
    meta name='date-format' content=t('pickers.formats.date')
    meta name='date-minimum-selectable-unix' content="#{Settings.datetime.minimum_selectable_unix}"
    title = yield(:title).presence || t('application.name')
    = csrf_meta_tags
    = csp_meta_tag
    = stylesheet_pack_tag 'staffs', media: 'all', 'data-turbolinks-track': 'reload'
    = javascript_pack_tag 'staffs', 'data-turbolinks-track': 'reload'

    / Load google fonts
    link href='https://fonts.gstatic.com' rel='dns-prefetch'
    link crossorigin='anonymous' href='https://fonts.gstatic.com' rel='preconnect'
    link[
      as='prefetch'
      crossorigin='anonymous'
      rel='stylesheet'
      href='https://fonts.googleapis.com/css?family=Cabin+Condensed:300,400,600'
    ]
    javascript:
      window.languages = { current: "#{I18n.locale}", default: "#{Settings.language.default}" }

  body data-namespace=js_namespace
    .wrapper
      / BEGIN: Sidebar
      / = cache(['staffs', 'sidebar', I18n.locale, params[:controller], params[:action]]) do
      nav.js-simplebar.sidebar
        = render 'layouts/staffs/sidebar'

      .main
        / BEGIN: Navbar
        nav.navbar.navbar-expand.navbar-light.navbar-bg
          = render 'layouts/staffs/navbar'

        / BEGIN: Main
        main.content
          .container-fluid.p-0
            .row.mb-2.mb-xl-3
              / BEGIN: Page title
              .col-auto.d-none.d-sm-block
                h3.mb-0 = yield(:title)

              / BEGIN: Breadcrumbs
              .col-auto.ms-auto.text-right.mt-n1
                = yield(:breadcrumbs)

            / BEGIN: Content
            .row
              = yield

        / BEGIN: Footer
        footer.footer
          .container-fluid
            .row.text-muted
              .col-6.text-start
                .credits-creator
                  == t('credit.creator')
                .credits-sending_mail
                  == t('credit.sending_to_creator_email')

              .col-6.text-end
                .credits-creator
                  == t('credit.coding_language')
                .credits-sending_mail
                  == t('credit.best_for_displaying')

    / BEGIN: Notifications
    #js-flash_notifications
      = render_flash_notifications
